tbb::null_rw_mutex Class Reference
Synchronization

A rw mutex which does nothing. More...

`#include <null_rw_mutex.h>`

Inheritance diagram for tbb::null_rw_mutex:
Collaboration diagram for tbb::null_rw_mutex:

## Classes

class | scoped_lock
| Represents acquisition of a mutex. More...

## Public Member Functions

| null_rw_mutex ()

## Static Public Attributes

static const bool | is_rw_mutex = true
static const bool | is_recursive_mutex = true
static const bool | is_fair_mutex = true

## Detailed Description

A rw mutex which does nothing.

A null_rw_mutex is a rw mutex that does nothing and simulates successful operation.

Definition at line 27 of file null_rw_mutex.h.

## Constructor & Destructor Documentation

## null_rw_mutex()

tbb::null_rw_mutex::null_rw_mutex | ( |  | ) |

inline

Definition at line 42 of file null_rw_mutex.h.

{}

## Member Data Documentation

## is_fair_mutex

const bool tbb::null_rw_mutex::is_fair_mutex = true

static

Definition at line 47 of file null_rw_mutex.h.

## is_recursive_mutex

const bool tbb::null_rw_mutex::is_recursive_mutex = true

static

Definition at line 46 of file null_rw_mutex.h.

## is_rw_mutex

const bool tbb::null_rw_mutex::is_rw_mutex = true

static

Definition at line 45 of file null_rw_mutex.h.

The documentation for this class was generated from the following file:

- null_rw_mutex.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.